/* layout.css */

/* Header */
.header {
  background-color: var(--clr-white);
  border-bottom: 1px solid var(--clr-border);
  padding: var(--spacing) 0;
}

.header__container {
  display: flex;
  justify-content: space-between;
  align-items: center;
}

.logo {
  font-size: 1.8rem;
  font-weight: 700;
  color: var(--clr-primary);
}

/* Main layout */
.main {
  display: grid;
  grid-template-columns: 1fr;
  gap: 2rem;
  margin-top: 2rem;
}

/* Sidebar */
.sidebar {
  background-color: var(--clr-white);
  padding: var(--spacing);
  border: 1px solid var(--clr-border);
  border-radius: var(--radius);
}

.profile-card {
  text-align: center;
  margin-bottom: 2rem;
}

.profile-img {
  width: 100px;
  height: 100px;
  margin: 0 auto;
  border-radius: 50%;
  object-fit: cover;
  margin-bottom: 0.5rem;
}

.profile-name {
  font-weight: bold;
}

.profile-bio {
  font-size: 0.9rem;
  color: var(--clr-muted);
}
.tags{
  margin-bottom: 2rem;
}
.tags h3 {
  margin-bottom: 0.5rem;
}

.tags ul {
  list-style: none;
  display: flex;
  flex-wrap: wrap;
  gap: 0.5rem;
}

.tags a {
  font-size: 0.85rem;
  background: var(--clr-primary);
  color: white;
  padding: 0.3rem 0.6rem;
  border-radius: 999px;
}
.postTags{
 margin-bottom: 1rem;
}
.postTags ul {
  list-style: none;
  display: flex;
  flex-wrap: wrap;
  gap: 0.5rem;
}
.postTags li {
  font-size: 0.85rem;
  background: var(--clr-primary);
  color: white;
  padding: 0.3rem 0.8rem;
  border-radius: 999px;
  text-transform: uppercase;
  font-weight: bold;
}

/* Posts */
.posts {
  display: flex;
  flex-direction: column;
  gap: 1.5rem;
}

/* New Post Form */
.post-form {
  background: var(--clr-white);
  padding: var(--spacing);
  border: 1px solid var(--clr-border);
  border-radius: var(--radius);
}

.form {
  display: flex;
  flex-direction: column;
  gap: 1rem;
}

.form__input,
.form__textarea {
  padding: 0.8rem;
  border: 1px solid var(--clr-border);
  border-radius: var(--radius);
  font-size: 1rem;
  width: 100%;
}

.form__textarea {
  resize: vertical;
}

/* Footer */
.footer {
  margin-top: 3rem;
  padding: var(--spacing) 0;
  text-align: center;
  color: var(--clr-muted);
  font-size: 0.9rem;
}

/* Responsive layout */
@media (min-width: 768px) {
  .main {
    grid-template-columns: 250px 1fr;
  }
    .post-form {
    grid-column: span 2;
  }
}

@media (min-width: 1024px) {
  .main {
    grid-template-columns: 250px 2fr 1fr;
  }

  .post-form {
    grid-column: span 1;
  }
}
